- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_UserPreferences;'
    index: 4307
    name: 'User Preferences'
    customTagName: userPreferences
    relationships:
    - instance: '&IDR_User_Preferences__has_favorite__Instance;'
      customTagName: 'favoriteInstances'
    - instance: '&IDR_User_Preferences__has_recent__Search;'
      customTagName: 'recentSearches'

  - relationship: '&IDR_System_Account__has__User_Preferences;'
    index: 12211
    sourceClassId: '&IDC_User;'
    type: 'has'
    destinationClassId: '&IDC_UserPreferences;'
    siblingRelationshipId: '&IDR_User_Preferences__for__System_Account;'
    singular: yes

  - relationship: '&IDR_User_Preferences__for__System_Account;'
    index: 12212
    sourceClassId: '&IDC_UserPreferences;'
    type: 'for'
    destinationClassId: '&IDC_User;'
    siblingRelationshipId: '&IDR_System_Account__has__User_Preferences;'
    singular: yes

  - relationship: '&IDR_User_Preferences__has_favorite__Instance;'
    index: 12213
    sourceClassId: '&IDC_UserPreferences;'
    type: 'has'
    destinationClassId: '&IDC_Instance;'
    siblingRelationshipId: '&IDR_Instance__favorite_for__User_Preferences;'
    singular: no

  - relationship: '&IDR_Instance__favorite_for__User_Preferences;'
    index: 12214
    sourceClassId: '&IDC_Instance;'
    type: 'for'
    destinationClassId: '&IDC_UserPreferences;'
    siblingRelationshipId: '&IDR_User_Preferences__has_favorite__Instance;'
    singular: no

  - relationship: '&IDR_User_Preferences__has_recent__Search;'
    index: 12215
    sourceClassId: '&IDC_UserPreferences;'
    type: 'has recent'
    destinationClassId: '&IDC_Search;'
    siblingRelationshipId: '&IDR_Search__recent_for__User_Preferences;'
    singular: no

  - relationship: '&IDR_Search__recent_for__User_Preferences;'
    index: 12216
    sourceClassId: '&IDC_Search;'
    type: 'recent for'
    destinationClassId: '&IDC_UserPreferences;'
    siblingRelationshipId: '&IDR_User_Preferences__has_recent__Search;'
    singular: no